GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
gtpin::GtHliCallStd Class Reference
GTPin: High-Level Instrumentation (HLI) Function

Calling convention of the HLI function. More...

`#include <igt_iarg.h>`

## Public Types
enum | ENUM { INVALID, IGC_STACK }
## Public Member Functions
constexpr | GtHliCallStd (ENUM e=INVALID)
| Conversion constructor.
constexpr | operator ENUM () const
| Conversion operator.
constexpr bool | IsValid () const
| Return true for a valid calling convention.
constexpr bool | IsIgcStackCall () const
| Return true for IGC stack-call convention.
const char * | ToString () const
| Return string representation.

## Detailed Description

Calling convention of the HLI function.

Note:
  Currently, GTPin supports only IGC stack-call convention for HLI functions

## Member Enumeration Documentation

enum gtpin::GtHliCallStd::ENUM

Enumerator:

  INVALID | Invalid calling convention.
  IGC_STACK | IGC stack-call convention.

## Member Function Documentation

const char * gtpin::GtHliCallStd::ToString | ( |  | ) | const`[inline]`

Return string representation.

< Pointer to the constant IGtIret object

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT